
// #name = PJ T2 Join Retry
// #version = 7.02
// #date = February 14, 2003
// #author = Mark Dickenson ([AKA]PanamaJack)
// #email = akapanamajack@wildmail.com
// #web = http://www.planettribes.com/pj
// #description = If the server is full keep retrying
// #acknowledgements = 
// #status = who knows

$PJVersion::Retry = "7.02";

if(!isObject(PJOptionList))
    new ScriptObject(PJOptionList){};


PJOptionList.scriptcount++;
PJOptionList.guipath[PJOptionList.scriptcount] = "scripts/autoexec/panamajack/gui/pjretry.gui";
PJOptionList.enablevariable[PJOptionList.scriptcount] = "$PJEnable::Retry";
PJOptionList.selectcommand[PJOptionList.scriptcount] = "canvas.pushdialog(PJRetryOptionDlg);";
PJOptionList.listtext[PJOptionList.scriptcount] = "PJ's Retry/Join - " @ $PJVersion::Retry;
PJOptionList.readmepath[PJOptionList.scriptcount] = "scripts/autoexec/panamajack/readme/retry.txt";
PJOptionList.activate[PJOptionList.scriptcount] = "";
PJOptionList.deactivate[PJOptionList.scriptcount] = "";
PJOptionList.preloadgui[PJOptionList.scriptcount] = 0;
PJOptionList.picturepath[PJOptionList.scriptcount] = "panamajack/scripts/retry.jpg";
PJOptionList.author[PJOptionList.scriptcount] = "Panama Jack";

if(!isObject(PJGlobalOption))
     new ScriptObject(PJGlobalOption){};

package PJPackageLoadretry {

function DispatchLaunchMode() {

     if(PJGlobalOption.startup != 1){
	     exec("prefs/PJClientSchemes.cs");
	     exec("prefs/PJClientPrefs.cs");
	     exec("prefs/PJClientColors.cs");
	     exec("prefs/PJClientFonts.cs");
          exec("prefs/PJScripts.cs");
          exec("scripts/autoexec/panamajack/PJGuiProfiles.pj");
          PJGlobalOption.startup = 1;
     }

     if($PJScript::SuperHuds){
          if($PJPref::MainHudStyle $= "Normal") {
               $PJGuiColor = "gui/";
          }else{
               $PJGuiColor = "schemes/" @ $PJPref::MainHudStyle @ "/";
          }
     } else $PJGuiColor = "gui/";

     new GuiControlProfile ("GuiPJRetryBackProfile"){
          bitmapbase = $PJGuiColor @ "hud_new_window";
     };

     new GuiControlProfile ("GuiPJRetryProfile"){
	    fontType = "Univers";
	    fontSize = 12;
	    fontColor = "169 215 250";
     };

	exec("scripts/autoexec/panamajack/PJRetry2.pj");
	makePJManual();
	PJMakeRetryHud();

     parent::DispatchLaunchMode();

}

function LoadingGui::onWake(%this) {

	alxPlay(alxCreateSource(AudioChat, "gui/objective_notification.wav"));

     PJRetryReset(%this);
     parent::onWake(%this);
}

function JoinGame(%address) {

	$PJRetryAddress = %address;
	parent::JoinGame(%address);
}

function PasswordDlg::accept(){

	cancecl(PJGlobalOption.retryschedule);
	parent::accept();
}

function quit() {

	export("$PJpref::*", "prefs/PJClientPrefs.cs", False);

	parent::quit();
}

};

activatepackage(PJPackageLoadretry);

function PJBypassPass() {

	$PJPref::IgnorePassword = 1 - $PJPref::IgnorePassword;
	%temp = "ENABLED";
	if($PJPref::IgnorePassword == 0)
		%temp = "DISABLED";
	MessagePopup( "Retry Option", "Retry passworded server option: " @ %temp, 3000);
}

$PJScript::Retry = 1;
$PJEnable::Retry = 1;
$PJRetryPosition = "105 11";
$PJRetryLoaded = "true";
$PJPref::RetryDelay = 5;
$PJPref::RetryStyle = 0;
$PJPref::IgnorePassword = 0;

